Sync import storage

Sync tasks from an Azure import storage connection.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired
Storage ID

Response

created_atdatetimeRead-only
Creation time
idintegerRead-only
projectinteger
A unique integer value identifying this project.
typestringRead-onlyDefaults to azure
account_keystring or null
Azure Blob account key
account_namestring or null
Azure Blob account name
containerstring or null
Azure blob container
descriptionstring or null
Cloud storage description
last_syncdatetime or null
Last sync finished time
last_sync_countinteger or null0-2147483647
Count of tasks synced last time
last_sync_jobstring or null<=256 characters
Last sync job ID
metaany or null
Meta and debug information about storage processes
prefixstring or null
Azure blob prefix name
presignbooleanDefaults to true
presign_ttlinteger0-32767

Presigned URLs TTL (in minutes)

recursive_scanboolean or null
Perform recursive scan over the container content
regex_filterstring or null
Cloud storage regex for filtering objects
statusenum
  • initialized - Initialized
  • queued - Queued
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
  • completed_with_errors - Completed with errors
synchronizablebooleanDefaults to true
titlestring or null<=256 characters
Cloud storage title
tracebackstring or null
Traceback report for the last failed sync
use_blob_urlsboolean
Interpret objects as BLOBs and generate URLs